"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_thread_select
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_thread_select class methodsFor:'documentation'!

documentation
"
The `-thread-select' Command
----------------------------

Synopsis
........

      -thread-select THREADNUM

   Make THREADNUM the current thread.  It prints the number of the new
current thread, and the topmost frame for that thread.

   This command is deprecated in favor of explicitly using the
`--thread' option to each command.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `thread'.

Example
.......

     (gdb)
     -exec-next
     ^running
     (gdb)
     *stopped,reason='end-stepping-range',thread-id='2',line='187',
     file='../../../devo/gdb/testsuite/gdb.threads/linux-dp.c'
     (gdb)
     -thread-list-ids
     ^done,
     thread-ids={thread-id='3',thread-id='2',thread-id='1'},
     number-of-threads='3'
     (gdb)
     -thread-select 3
     ^done,new-thread-id='3',
     frame={level='0',func='vprintf',
     args=[{name='format',value='0x8048e9c \'%*s%c %d %c\\n\''},
     {name='arg',value='0x2'}],file='vprintf.c',line='31'}
     (gdb)


"
! !

!GDBMI_thread_select methodsFor:'accessing'!

operation
	^ 'thread-select'
! !

